aboutsummaryrefslogtreecommitdiff
path: root/contrib/ci/targets/debian/build
diff options
context:
space:
mode:
authorNullptrderef <nullptrderef@proton.me>2024-06-16 13:56:11 +0200
committerNullptrderef <nullptrderef@proton.me>2024-06-16 13:56:11 +0200
commit3cbfa7ab59d37b53724c15fed55a4880745db6a6 (patch)
treecf0e9b5ad27b04be38bf63f9d8092bec1d122ad5 /contrib/ci/targets/debian/build
parentea28f2d34f308f812076e0128b1799acf8c686dd (diff)
downloadexchange-3cbfa7ab59d37b53724c15fed55a4880745db6a6.tar.xz
generate ci targets
Diffstat (limited to 'contrib/ci/targets/debian/build')
-rwxr-xr-xcontrib/ci/targets/debian/build/build.sh14
-rwxr-xr-xcontrib/ci/targets/debian/build/job.sh6
2 files changed, 20 insertions, 0 deletions
diff --git a/contrib/ci/targets/debian/build/build.sh b/contrib/ci/targets/debian/build/build.sh
new file mode 100755
index 000000000..d3fcfab85
--- /dev/null
+++ b/contrib/ci/targets/debian/build/build.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -exuo pipefail
+
+apt-get update
+apt-get upgrade -yqq
+
+./bootstrap
+./configure CFLAGS="-ggdb -O0" \
+ --enable-logging=verbose \
+ --disable-doc
+
+nump=$(grep processor /proc/cpuinfo | wc -l)
+make -j$(( $nump / 2 ))
+make
diff --git a/contrib/ci/targets/debian/build/job.sh b/contrib/ci/targets/debian/build/job.sh
new file mode 100755
index 000000000..8d79902c5
--- /dev/null
+++ b/contrib/ci/targets/debian/build/job.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -exuo pipefail
+
+job_dir=$(dirname "${BASH_SOURCE[0]}")
+
+"${job_dir}"/build.sh